Skip to navigation

List BGP Routes

View as Markdown

Returns a list of BGP routes for an MCR.

Note: This endpoint is strictly rate limited and not intended for regular monitoring, only troubleshooting.

The productUid is the unique product ID for the MCR and is required.

Without a ip_address parameter, the request returns both IPv4 and IPv6 routes.

With the ipAddress parameter, the request narrows the list to exact matching routes or the best matching route. The ipAddress parameter accepts the following IP address formats:

IP ValueDescription
12345678IPv4 as Integer
10.0.0.0IPv4 Address Only
10.0.0.0/8IPv4 Address and Subnet Mask as CIDR
10.0.0.0/255.0.0.0IPv4 Address and Subnet Mask
::IPv6 Zero Address
::/128IPv6 Zero Network Address
2001:db8::1/64IPv6 Network Address
2001:db8:4444:ffaa:2233:4455:6677:a987IPv6 Address (long, lowercase)
2001:DB8:4444:FFAA:2233:4455:6677:A987/128IPv6 Network Address (long, upper case)

Running in Asynchronous mode

This endpoint must be run in asynchronous mode.

To use asynchronous mode, set the async parameter to True.

In asynchronous mode, the response is returned in a matter of milliseconds with no actual results, and a status of Pending. To retrieve the results, use the MCR productUid and the operationId returned in the response of this endpoint with the /v2/product/mcr2/{productUid}/diagnostics/routes/operation endpoint. This allows you to return routing tables in a low impact way.

Note: Synchronous mode has been deprecated and should not be used.

Path parameters

productUidstringRequired

Query parameters

ip_addressstringOptional

Filter the results based on this address. (String - optional)

asyncstringOptional

Whether the endpoint will be run in sync or async mode. (Boolean - required)

Response

List BGP Routes - Async Mode / List BGP Routes - Async Mode

datastringOptional
messagestringOptional
termsstringOptional